> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Merchant

> This endpoint returns a `merchant`.

The necessary `merchant_guid` can be determined by [reading](/api-reference/atrium/reference/transactions/read-transaction) or [listing](/api-reference/atrium/reference/transactions/list-transactions) transactions, as well as [categorizing](/api-reference/atrium/reference/transactions/cleanse-and-categorize) transactions.

The `logo_url` follows a pattern using a base URL: `https://content.mx.com/logos/merchants/` + `merchant_guid` + `.png`. For example: `https://content.mx.com/logos/merchants/MCH-ad2e487b-34e4-4b2b-820d-603e330d0ca9.png`

MX may need to change this base URL from time to time, but in such cases partners will be notified and a redirect will be set up for the previous base URL. The logo returned will be 100x100px.

<RequestExample>
  ```shell Request theme={null}
  curl -i 'https://vestibule.mx.com/merchants/{merchant_guid}' \  -H 'Accept: application/vnd.mx.atrium.v1+json' \  -H 'MX-API-Key: {mx_api_key}' \  -H 'MX-Client-ID: {mx_client_id}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "merchant": {
      "created_at": "2018-09-17T19:13:53Z",
      "guid": "MCH-ad6d3405-ec03-721d-b0ca-eeceeebcb8b5",
      "logo_updated_at": "2021-08-09T16:19:23Z",
      "logo_url": "https://content.mx.com/logos/merchants/MCH-ad6d3405-ec03-721d-b0ca-eeceeebcb8b5.png",
      "name": "1-800 Contacts",
      "updated_at": "2021-08-09T16:19:23Z",
      "website_url": "https://www.1800contacts.com"
    }
  }
  ```
</ResponseExample>
